Bug 998575 - Empty node mapping validation does not work
Empty node mapping validation does not work
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
low Severity unspecified
: DR01
: 6.1.1
Assigned To: Default User
Dominik Pospisil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 10:25 EDT by Filip Kiss
Modified: 2018-01-29 20:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
When adding a new node mapping in a new redirect, and origin/redirect node mapping is left blank, after saving changes redirect is not created. Empty node validation only works when a node name is present and then is deleted in the field.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3310 Major Resolved Empty node mapping validation does not work on create 2014-02-20 04:42:58 EST

  None (edit)
Description Filip Kiss 2013-08-19 10:25:17 EDT
Description of problem:
When you are adding new node mapping while editing existing redirect, and leave origin/redirect node mapping empty, you are allowed to save changes (but node mapping is not saved). 

When you are adding new node mapping in new redirect, and leave origin/redirect node mapping empty, after saving changes redirect is not created.

Empty node validation works only when you already typed node name and then you erased it.
Comment 2 Boleslaw Dawidowicz 2013-09-12 08:11:13 EDT
Aimed for 6.1.1
Comment 4 JBoss JIRA Server 2013-12-09 11:32:10 EST
Peter Palaga <ppalaga@redhat.com> made a comment on jira GTNPORTAL-3310

Merged last week.
Comment 5 Peter Palaga 2013-12-09 11:34:36 EST
This should have been ON_QA since it is included in DR1.
Comment 6 Filip Kiss 2013-12-11 03:54:47 EST
Verified on DR01.

Note You need to log in before you can comment on or make changes to this bug.